Random Email Generator
API Documentation
GET
https://randomdatatool.com/api/internet/emailQuery Parameters
| Parameter | Type | Description |
|---|---|---|
| count | int | Number of entries to return. Default: 10. Max: 1000. |
| add_first_name | bool | Include the generated first name in the payload. |
| add_last_name | bool | Include the generated last name in the payload. |
| to_upper_case | bool | Transform the result string to uppercase. |
| to_lower_case | bool | Transform the result string to lowercase. |
Response JSON
{
"status": "success",
"data": [
],
"count": 2
}
"status": "success",
"data": [
{
"email": "alexander.thompson@devmail.io",
"first_name": "Alexander",
"last_name": "Thompson"
}
,{
"email": "sarah.connor@cybernet.net",
"first_name": "Sarah",
"last_name": "Connor"
}
"count": 2
}
Implementation
curl -X GET "https://randomdatatool.com/api/internet/email?add_first_name=true&add_last_name=true&to_upper_case=true&count=10"